@misc{Liu:19,
  author = "Shanhong Liu",
  title = "Total size of the public cloud computing market from 2008 to 2020",
  url = "https://www.statista.com/statistics/510350/worldwide-public-cloud-computing/",
  note = "[Online; accessed 21-October-2019]"
}

@misc{Richter:19,
  author = "Felix Richter",
  title = "Amazon Leads the Race to the Cloud",
  url = "https://www.statista.com/chart/18819/worldwide-market-share-of-leading-cloud-infrastructure-service-providers/",
  note = "[Online; accessed 21-October-2019]"
}

@misc{OpsWorks:17,
  author = "AWS",
  title = "AWS OpsWorks for Puppet Enterprise",
  url = "https://aws.amazon.com/opsworks/puppetenterprise/",
  note = "[Online; accessed 22-October-2019]"
}

@misc{Pulec:19,
  author = "Steve Pulec",
  title = "moto",
  url = "https://github.com/spulec/moto",
  note = "[Online; accessed 24-October-2019]"
}

@misc{NYTimes:19,
  author = "The New York Times",
  title = "mock-ec2-metadata",
  url = "https://github.com/nytimes/mock-ec2-metadata",
  note = "[Online; accessed 24-October-2019]"
}

@misc{Li:19,
  author = "Wenbing Li",
  title = "awscli-plugin-endpoint",
  url = "https://github.com/wbingli/awscli-plugin-endpoint",
  note = "[Online; accessed 24-October-2019]"
}

@misc{Puppet:19,
  author = "puppet",
  title = "puppet/python",
  url = "https://forge.puppet.com/puppet/python",
  note = "[Online; accessed 24-October-2019]"
}

@misc{GitLab:19,
  title = "GitLab issue about CI outage",
  url = "https://gitlab.com/gitlab-com/support-forum/issues/4916",
  note = "[Online; accessed 24-October-2019]"
}

@misc{PuppetLabs:19,
  author = "puppetlabs",
  title = "puppetlabs/vcsrepo",
  url = "https://forge.puppet.com/puppetlabs/vcsrepo",
  note = "[Online; accessed 25-October-2019]"
}

@misc{Coxall:16,
  author = "Darren Coxall",
  title = "dcoxall/golang",
  url = "https://github.com/dcoxall/dcoxall-golang",
  note = "[Online; accessed 25-October-2019]"
}

@misc{Larizza:16,
  author = "Gary Larizza",
  title = "Puppet Best Practices: Roles & Profiles",
  url = "https://www.youtube.com/watch?v=RYMNmfM6UHw",
  note = "[Online; accessed 25-October-2019]"
}
